Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Add missing requires for ActionView::Context and Module#instance_meth…

…od_names
  • Loading branch information...
commit fdaecbed84af426213cbb77568e25128cf01484c 1 parent 987eb7d
@pixeltrix pixeltrix authored
Showing with 2 additions and 0 deletions.
  1. +2 −0  actionpack/lib/action_view/helpers/form_helper.rb
View
2  actionpack/lib/action_view/helpers/form_helper.rb
@@ -1,9 +1,11 @@
require 'cgi'
+require 'action_view/context'
require 'action_view/helpers/date_helper'
require 'action_view/helpers/tag_helper'
require 'action_view/helpers/form_tag_helper'
require 'active_support/core_ext/class/attribute'
require 'active_support/core_ext/hash/slice'
+require 'active_support/core_ext/module/method_names'
require 'active_support/core_ext/object/blank'
require 'active_support/core_ext/string/output_safety'
require 'active_support/core_ext/array/extract_options'

1 comment on commit fdaecbe

@josevalim
Owner

Isn't action_view/context autoloaded as well? requiring a file that may have been autoloaded somewhere else can lead to double requires due to a ruby bug. :(

Please sign in to comment.
Something went wrong with that request. Please try again.